org.apache.sysds.runtime.functionobjects

## Class BitwShiftL

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.BitwShiftL

All Implemented Interfaces:
  Serializable

    public class BitwShiftL
    extends ValueFunction
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `execute(double in1, double in2)`
`double` `execute(long in1, long in2)`
`static BitwShiftL` `getBitwShiftLFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBitwShiftLFnObject

    public static BitwShiftL getBitwShiftLFnObject()

#### execute

    public double execute(long in1,
                          long in2)

Overrides:
  `execute` in class `FunctionObject`

#### execute

    public double execute(double in1,
                          double in2)

Overrides:
  `execute` in class `FunctionObject`